### Enumeration

# Camel ProviderURLFlags

#### Declaration

    flags Camel.ProviderURLFlags

#### Description

No description available.

#### Members

`CAMEL_URL_ALLOW_USER`

  No description available.

  - Value: `1`
  - Available since: 1.2
`CAMEL_URL_ALLOW_AUTH`

  No description available.

  - Value: `2`
  - Available since: 1.2
`CAMEL_URL_ALLOW_PASSWORD`

  No description available.

  - Value: `4`
  - Available since: 1.2
`CAMEL_URL_ALLOW_HOST`

  No description available.

  - Value: `8`
  - Available since: 1.2
`CAMEL_URL_ALLOW_PORT`

  No description available.

  - Value: `16`
  - Available since: 1.2
`CAMEL_URL_ALLOW_PATH`

  No description available.

  - Value: `32`
  - Available since: 1.2
`CAMEL_URL_NEED_USER`

  No description available.

  - Value: `256`
  - Available since: 1.2
`CAMEL_URL_NEED_AUTH`

  No description available.

  - Value: `512`
  - Available since: 1.2
`CAMEL_URL_NEED_PASSWORD`

  No description available.

  - Value: `1024`
  - Available since: 1.2
`CAMEL_URL_NEED_HOST`

  No description available.

  - Value: `2048`
  - Available since: 1.2
`CAMEL_URL_NEED_PORT`

  No description available.

  - Value: `4096`
  - Available since: 1.2
`CAMEL_URL_NEED_PATH`

  No description available.

  - Value: `8192`
  - Available since: 1.2
`CAMEL_URL_NEED_PATH_DIR`

  No description available.

  - Value: `16384`
  - Available since: 1.2
`CAMEL_URL_HIDDEN_USER`

  No description available.

  - Value: `65536`
  - Available since: 1.2
`CAMEL_URL_HIDDEN_AUTH`

  No description available.

  - Value: `131072`
  - Available since: 1.2
`CAMEL_URL_HIDDEN_PASSWORD`

  No description available.

  - Value: `262144`
  - Available since: 1.2
`CAMEL_URL_HIDDEN_HOST`

  No description available.

  - Value: `524288`
  - Available since: 1.2
`CAMEL_URL_HIDDEN_PORT`

  No description available.

  - Value: `1048576`
  - Available since: 1.2
`CAMEL_URL_HIDDEN_PATH`

  No description available.

  - Value: `2097152`
  - Available since: 1.2
`CAMEL_URL_FRAGMENT_IS_PATH`

  No description available.

  - Value: `1073741824`
  - Available since: 1.2
`CAMEL_URL_PATH_IS_ABSOLUTE`

  No description available.

  - Value: `2147483648`
  - Available since: 1.2